%define	module	Unix-Syslog
%define	name	perl-%{module}
%define	version	0.100
%define	release	1mdk

Name:		%{name}
Summary:	Perl interface to the UNIX system logger
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org/
Source0:	%{module}-%{version}.tar.bz2
Buildrequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This Module provides access to the system logger available on most
UNIX system via Perl's XSUBs (Perl's C interface).

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.100-1mdk
- 0.100
- cosmetics

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.99-4mdk
- rebuild for new perl
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99-3mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99-2mdk
- buildrequires

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99-1mdk
- from Fco. Felix <ffelix@gescosoft.com> :
	- initial specfile
